Name:           kiran-authentication-devices    

Version:        2.5.1
Release:        6
Summary:        Kiran Authentication Devices

License:        MulanPSL-2.0
Source0:        %{name}-%{version}.tar.gz

Patch0001:      0001-fix-mf-iristar-driver-Fix-compilation-issues-with-st.patch
Patch0002:      0001-fix-ukey-Fix-the-issue-where-only-one-ukey-can-be-bo.patch
Patch0003:      0001-fix-feature-db-Fix-the-issue-of-not-obtaining-featur.patch
Patch0004:      0001-fix-ukey-Fix-the-issue-of-duplicate-binding-of-the-s.patch
Patch0005:      0001-fix-kiran-authentication-devices-fix-QUuid-WithoutBr.patch 


BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  systemd-devel
Requires:    qt5-qtbase
Requires:    kiran-log-qt5
Requires:	 systemd
Requires:	 libusb

%description
Manage authentication devices

%package devel
Summary:      Development files for kiran authentication devices
Requires:     %{name} = %{version}-%{release}

%description devel
Development files for kiran authentication devices 

%prep
%autosetup -p1

%build
%cmake
make %{?_smp_mflags}

%install
%make_install

%post 
%systemd_post kiran-authentication-devices.service
systemctl enable kiran-authentication-devices.service

%preun 
%systemd_preun kiran-authentication-devices.service

%files
%{_bindir}/kiran-authentication-devices
%{_bindir}/kiran-ukey-manager
%{_datadir}/kiran-authentication-devices/translations/*.qm
%{_datadir}/dbus-1/system-services/com.kylinsec.Kiran.AuthDevice.service
%{_sysconfdir}/dbus-1/system.d/com.kylinsec.Kiran.AuthDevice.Device.conf
%{_sysconfdir}/dbus-1/system.d/com.kylinsec.Kiran.AuthDevice.conf
%{_sysconfdir}/kiran-authentication-devices/drivers.conf
%{_sysconfdir}/kiran-authentication-devices/third-party-devices.conf
%{_usr}/lib/systemd/system/kiran-authentication-devices.service

%files devel
%{_includedir}/kiran-authentication-devices/kiran-auth-device-i.h

%clean
rm -rf ${buildroot}

%changelog
* Thu Sep 7 2023 yinhongchang <yinhongchang@kylinsec.com.cn> - 2.5.1-6
- KYOS-F: fix QUuid::WithoutBraces for qt low version

* Fri Jun 16 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-5
- KYOS-F: Fix the issue of duplicate binding of the same UKey device (#I78P3F)

* Fri Jun 2 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-4
- KYOS-F: Fix the issue of not obtaining features from the database when deviceSerialNumber is empty

* Fri Jun 2 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-3
- KYOS-F: Fix the issue where only one ukey can be bound to a device, some self-test bugs.(#I78P3F)

* Wed May 24 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-2
- KYOS-F: fix compilation issues with std:: function in lower versions.

* Wed May 24 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.1-1
- KYOS-F: add Ukey management tool.
- KYOS-F: added iristar device , supporting iris and facial enroll and identify.
- KYOS-F: fix some defects.

* Fri Apr 21 2023 wangyucheng <wangyucheng@kylinsec.com.cn> - 2.5.0-5
- KYOS-F: fix ld error: undefined reference to symbol 'dlclose@@GLIBC_2.2.5'.

* Fri Apr 21 2023 wangyucheng <wangyucheng@kylinsec.com.cn> - 2.5.0-4
- KYOS-F: qt5 cmake command compatible.

* Thu Apr 20 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-3
- KYOS-F: Add libusb dependency.

* Wed Apr 19 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-2
- KYOS-F: The UKey device is adapted.

* Mon Apr 03 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-1
- Inital build
